Search cities
curl --request GET \
--url https://api.gabin.ai/v1/zones/cities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/zones/cities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/zones/cities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"insee": "<string>",
"name": "<string>",
"department": "<string>",
"postal_code": "<string>",
"population": 0,
"center": [
123,
123
]
}
],
"meta": {
"page": {
"next_cursor": "<string>",
"limit": 0
},
"total": 0,
"total_kind": "exact"
}
}
Zones
Search cities
Cities and arrondissements of Paris, Lyon and Marseille by name (prefix), postal code or INSEE code, up to 8. Next: GET /v1/zones/cities/, or use insee in GET /v1/buildings and GET /v1/companies.
GET
/
v1
/
zones
/
cities
Search cities
curl --request GET \
--url https://api.gabin.ai/v1/zones/cities \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.gabin.ai/v1/zones/cities', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.gabin.ai/v1/zones/cities"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"data": [
{
"insee": "<string>",
"name": "<string>",
"department": "<string>",
"postal_code": "<string>",
"population": 0,
"center": [
123,
123
]
}
],
"meta": {
"page": {
"next_cursor": "<string>",
"limit": 0
},
"total": 0,
"total_kind": "exact"
}
}
Authorizations
API key gab_live_… or OAuth access token gat_….
Query Parameters
City name (prefix), postal code or INSEE code. Example: "villeurb", "69100".
Required string length:
2 - 60⌘I